Bug 75087 - Hotplug does not obey 'ONBOOT=no' for network devices
Summary: Hotplug does not obey 'ONBOOT=no' for network devices
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: hotplug   
(Show other bugs)
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-04 10:17 UTC by Richard Allen
Modified: 2014-03-17 02:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-01 22:11:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Allen 2002-10-04 10:17:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Its not possible to get anaconda to set up an ethernet card as DHCP configured
but not activated at boot.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Try setting up a dhcp configured system without activating the card at boot.

Additional info:

Im taking my laptop all over the place and I dont always have it hooked up to a
network.  The delay booting annoys the hell out of me while its trying to get a
dhcp replay.

Id prefer to be able to set it up as a dhcp client but not activated at boot and
then manually activate it when I need network connectivity (without editing
files in /etc/sysconfig/ preferably)

Comment 1 Paul W. Frields 2002-10-04 12:48:46 UTC
Not to be a nuisance, but have you already run the "System Settings / Network" 
tool (also called redhat-config-network)?  Select your Ethernet device, Edit, 
and deselect the box marked "Activate when computer starts."

Comment 2 Michael Fulbright 2002-10-04 16:15:36 UTC
This is a problem with the hotplug system not obeying our request to not start
this interface up.



Comment 3 Richard Allen 2002-10-07 15:15:52 UTC
I think this is an anaconda bug.  As soon as I uncheck the activate on boot tab,
anaconda greys out the entire selection dialog.   Im aware I can set this all up
later, but I do think Anaconda should be able to set up a dhcp client that does
not try to activate the lan card on boot.


Comment 4 Bill Nottingham 2003-10-01 22:11:24 UTC
For hotplugged devices, you need to set HOTPLUG={yes,no}. Hotplug has no concept
of 'boot'.


Note You need to log in before you can comment on or make changes to this bug.